summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/nose/nose-1.3.7-r3.ebuild5
-rw-r--r--dev-python/nose/nose-9999.ebuild2
2 files changed, 4 insertions, 3 deletions
diff --git a/dev-python/nose/nose-1.3.7-r3.ebuild b/dev-python/nose/nose-1.3.7-r3.ebuild
index e58e73ded7d2..2a7bb6ef38cf 100644
--- a/dev-python/nose/nose-1.3.7-r3.ebuild
+++ b/dev-python/nose/nose-1.3.7-r3.ebuild
@@ -28,8 +28,9 @@ RDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
doc? ( >=dev-python/sphinx-0.6[${PYTHON_USEDEP}] )
- test? ( || ( $(python_gen_cond_dep 'dev-python/twisted-core[${PYTHON_USEDEP}]' python2_7)
- $(python_gen_cond_dep 'dev-python/twisted[${PYTHON_USEDEP}]' python2_7) ) )"
+ test? ( || ( $(python_gen_cond_dep 'dev-python/twisted[${PYTHON_USEDEP}]' python2_7 python3_{4,5,6})
+ $(python_gen_cond_dep 'dev-python/twisted-core[${PYTHON_USEDEP}]' python2_7)
+ ) )"
PATCHES=(
"${FILESDIR}"/${P}-python-3.5-backport.patch
diff --git a/dev-python/nose/nose-9999.ebuild b/dev-python/nose/nose-9999.ebuild
index 1b37a07fb934..132633f36b15 100644
--- a/dev-python/nose/nose-9999.ebuild
+++ b/dev-python/nose/nose-9999.ebuild
@@ -31,7 +31,7 @@ RDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
doc? ( >=dev-python/sphinx-0.6[${PYTHON_USEDEP}] )
- test? ( $(python_gen_cond_dep 'dev-python/twisted-core[${PYTHON_USEDEP}]' python2_7) )"
+ test? ( $(python_gen_cond_dep 'dev-python/twisted[${PYTHON_USEDEP}]' python2_7 python3_{4,5,6}) )"
pkg_setup() {
use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )